List protection group backups
Retrieves a list of protection group backups.
Query Parameters
- limit int64
Limits the size of the response on each page to the specified number of items.
- start string
Sets the page number used to browse the collection. Pages are indexed starting from 1 (i.e.,
?start=1). - sort string
Returns the list of backups in the order specified. Set
sortto the name of the sort field by which to sort in ascending order. To sort the list in reverse order, prefix the field name with a minus sign (-). Only one field may be sorted at a time.The following table lists the supported sort fields for this resource:
If a sort order is not specified, the individual rules are sorted by "start_timestamp" in descending timestamp order (newest first).Sort Field Description start_timestamp Sorts the backups in ascending timestamp order (oldest first). For example, ?sort=start_timestamp - filter string
Narrows down the results to only the items that satisfy the filter criteria. The following table lists the supported filter fields for this resource and the filter conditions that can be applied on those fields:
For more information about filtering, refer to the Filtering section of this guide.protection_group_id $eq The ID of the GCS protection group. For example, ?filter={"protection_group_id":{"$eq":"d0ba78cc-582b-11ea-9bdc-82f798bd42fe"}}start_timestamp $lte, $gt The timestamp value of when the backup started. Represented in RFC-3339 format. For example, ?filter={"start_timestamp":{"$lte":"1985-04-12T23:20:50Z"}}
- 200
- default
Success
- application/api.clumio.backup-gcp-protection-groups=v1+json
- Schema
- Example (from schema)
Schema
_embedded object
items object[]
backed_up_object_count int64The number of objects in the GCS protection group that were successfully backed up.
backed_up_size_bytes int64The total size in bytes of objects in the GCS protection group that were successfully backed up.
expiration_timestamp stringThe timestamp of when this backup expires. Represented in RFC-3339 format.
failed_object_count int64The number of objects in the GCS protection group that failed to be backed up.
failed_size_bytes int64The total size in bytes of objects in the GCS protection group that failed to be backed up.
id stringThe Clumio-assigned ID of the GCS protection group backup.
missing_object_count int64The number of objects in the GCS protection group that were missing during backup.
missing_size_bytes int64The total size in bytes of objects in the GCS protection group that were missing during backup.
protection_group_id stringThe Clumio-assigned ID of the GCS protection group.
protection_group_name stringThe user-assigned name of the GCS protection group.
protection_group_version int64The version of the GCS protection group at the time of backup.
start_timestamp stringThe timestamp of when this backup started. Represented in RFC-3339 format.
type stringThe type of backup. Possible values include
gcp_protection_group_backup.- current_count int64
The number of items listed on the current page.
- filter_applied string
The filter used in the request. The filter includes both manually-specified and system-generated filters.
- limit int64
The maximum number of items displayed per page in the response.
- start string
The page number used to get this response. Pages are indexed starting from 1 (i.e.,
"start": "1"). - total_count int64
The total number of items, summed across all pages.
- total_pages_count int64
The total number of pages of results.
{
"_embedded": {
"items": [
{
"backed_up_object_count": 0,
"backed_up_size_bytes": 0,
"expiration_timestamp": "string",
"failed_object_count": 0,
"failed_size_bytes": 0,
"id": "string",
"missing_object_count": 0,
"missing_size_bytes": 0,
"protection_group_id": "string",
"protection_group_name": "string",
"protection_group_version": 0,
"start_timestamp": "string",
"type": "string"
}
]
},
"current_count": 0,
"filter_applied": "string",
"limit": 0,
"start": "string",
"total_count": 0,
"total_pages_count": 0
}
Error
- application/json
- Schema
- Example (from schema)
Schema
errors object[]
A list of errors encountered during runtime.
error_code uint32error_message stringThe reason for the error.
{
"errors": [
{
"error_code": 0,
"error_message": "string"
}
]
}